#ifndef __LOG_DIO_H
#define __LOG_DIO_H


#ifdef __cplusplus
extern "C" {
#endif

#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"
#include "event_groups.h"  

  
//
void log_dio_archive_init(void);

//
uint8_t log_get_arch_channel_number(void);

//
uint8_t log_is_channel_on(uint8_t channel);

//
void log_archive_task_device(void);


extern uint32_t archive_cnt[];

extern struct ringfs fs_ch_arch[];

extern EventGroupHandle_t archive_event;

#ifdef __cplusplus
}
#endif

#endif // __LOG_DIO_H